Subject: [Mesa] Very low Gallium performance compared to Trisquel

From: Matthew Brooks <[email-masked]>
Date: Fri, 3 Mar 2017 02:04:14 -0600

This came up in a help-guix thread, and Ricardo Wurmus asked me to
post here requesting that Mesa be built with LLVM to improve Gallium's
performance.

The original post is here:
https://lists.gnu.org/archive/html/help-guix/2017-02/msg00141.html
but in short, when running GuixSD on my system, Gnome is unusably
slow, and while LXDE is usable, trying to play even 480p videos
results in a slideshow rather than a video.
On Trisquel though, even though it's also blobless and using Gallium,
the performance is vastly better, and even HD videos play fine.

I'm not really familiar with stuff this deep into the system, so if
there's any extra info you all need then just let me know and I'll be
happy to provide it.

Anyway, thanks for your time, and all the work you all are doing.

Matthew F. Brooks